<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:orientation="vertical"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/top_round_corner"
    android:gravity="center_horizontal">

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="@string/radius"
        android:fontFamily="@font/nunito_medium"
        android:textColor="@color/black"
        android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
        android:layout_gravity="start"
        android:layout_marginHorizontal="15dp"
        android:layout_marginTop="15dp"
        />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginVertical="10dp"
        android:layout_marginHorizontal="15dp"
        android:gravity="center_vertical"
        android:weightSum="2"
        android:orientation="horizontal">

        <EditText
            android:id="@+id/radius"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:background="@drawable/edit_text_bg_2"

            android:hint="@string/_0_00"
            android:fontFamily="@font/nunito_regular"
            android:textColor="@color/black"
            android:textColorHint="@android:color/darker_gray"
            android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
            android:textAlignment="center"

            android:paddingVertical="15dp"
            android:padding="10dp"

            android:maxLength="5"

            android:inputType="numberDecimal"
            />

        <com.skydoves.powerspinner.PowerSpinnerView
            android:id="@+id/unit_spinner"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"

            android:background="@drawable/edit_text_bg_2"

            android:gravity="center"

            android:layout_marginStart="15dp"

            android:padding="11dp"
            android:textColor="@color/black"
            android:textSize="14.5sp"

            app:spinner_arrow_drawable="@drawable/ic_down"

            app:spinner_popup_max_height="200dp"
            app:spinner_arrow_animate="true"
            app:fontFamily="@font/nunito_regular"

            app:spinner_item_array="@array/radius_units"

            app:spinner_arrow_gravity="end"
            app:spinner_arrow_padding="8dp"
            app:spinner_divider_show="true"
            app:spinner_divider_size="0.4dp"
            app:spinner_divider_color="@color/black"
            app:spinner_item_height="46dp"
            app:spinner_popup_animation="dropdown"
            app:spinner_popup_background="@drawable/edit_text_bg_2"
            app:spinner_popup_elevation="14dp" />

    </LinearLayout>

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="@string/message"
        android:fontFamily="@font/nunito_medium"
        android:textColor="@color/black"
        android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
        android:layout_gravity="start"
        android:layout_marginHorizontal="15dp"
        android:layout_marginTop="15dp"
        />

    <EditText
        android:id="@+id/message"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/edit_text_bg_2"
        android:layout_marginHorizontal="15dp"
        android:layout_marginVertical="10dp"

        android:hint="@string/enter_a_message"
        android:fontFamily="@font/nunito_regular"
        android:textColor="@color/black"
        android:textColorHint="@android:color/darker_gray"
        android:textAppearance="@style/TextAppearance.Material3.TitleMedium"

        android:paddingVertical="15dp"
        android:padding="10dp"

        android:autofillHints="name"
        android:inputType="textCapSentences"

        android:singleLine="true"

        android:maxLength="255"
        />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:layout_marginHorizontal="15dp"
        android:layout_marginVertical="15dp"
        android:weightSum="2">

        <com.google.android.material.button.MaterialButton
            android:id="@+id/cancel_set_gf"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="wrap_content"
            android:text="@string/cancel"
            android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
            android:textAllCaps="false"
            android:fontFamily="@font/nunito_regular"
            android:textColor="@color/black"
            android:paddingVertical="15dp"
            app:backgroundTint="@color/white"
            app:cornerRadius="15dp"

            app:strokeColor="@color/color_accent"
            app:strokeWidth="0.5dp"

            android:layout_marginEnd="5dp"
            />

        <com.google.android.material.button.MaterialButton
            android:id="@+id/save"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="wrap_content"
            android:text="@string/update"
            android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
            android:textAllCaps="false"
            android:fontFamily="@font/nunito_regular"
            android:textColor="@color/white_bg"
            android:paddingVertical="15dp"
            app:backgroundTint="@color/color_primary"
            app:cornerRadius="15dp"

            android:layout_marginStart="5dp"
            />

    </LinearLayout>

</LinearLayout>